FROM registry.gitlab.com/sat-polsl/gcs/gcs-gcc-builder:latest as builder

COPY . /app
WORKDIR /app

RUN mkdir build \
    && cd build \
    && cmake -G Ninja .. \
    && ninja gcs-relays

FROM alpine:3.17 as runtime

RUN apk update \
    && apk add --no-cache \
       libstdc++ gnutls libsodium

COPY --from=builder /app/build/exec/gcs-relays /usr/bin/gcs-relays
COPY docker-entrypoint.sh /

CMD ["/docker-entrypoint.sh"]
